## org.jfree.io
Class FileUtilities

    java.lang.Object
      org.jfree.io.FileUtilities

    public class FileUtilities

extends java.lang.Object

A class containing useful utility methods relating to files.

Author:
  David Gilbert

Method Summary
`static java.io.File` `findFileOnClassPath(java.lang.String name)` Returns a reference to a file with the specified name that is located somewhere on the classpath.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### findFileOnClassPath

    public static java.io.File findFileOnClassPath(java.lang.String name)

  Returns a reference to a file with the specified name that is located somewhere on the classpath. The code for this method is an adaptation of code supplied by Dave Postill.

  Parameters:
    `name` - the filename.
  Returns:
    a reference to a file or `null` if no file could be found.